package dao

import (
	"git.tek.govt.hu/dowerx/chat/server/dao/postgres"
	"git.tek.govt.hu/dowerx/chat/server/dao/valkey"
)

func MakeUserDAO() (IUserDAO, error) {
	dao := &postgres.UserDAOPG{}
	err := dao.Init()
	return dao, err
}

func MakeSessionDAO() (ISessionDAO, error) {
	dao := &valkey.SessionDAOVK{}
	err := dao.Init()
	return dao, err
}
