package dao

type ISessionDAO interface {
	Set(token string, id int) error
	Get(token string) (int, error)
	Delete(token string) error
	DeleteAllByID(id int) error
	Bump(token string, time int) error
}
