# Chat server

## Goals

- manage sessions
  - [ ] login
  - [ ] register
  - [ ] logout
- edit users
  - [ ] status
  - [ ] bio
  - [ ] profile picture
- [ ] provide user info
- manage rights and roles
  - [ ] edit roles
  - [ ] bind roles to users
- manage messages
  - [ ] send
  - [ ] alert
  - [ ] query
- files
  - [ ] upload
  - [ ] serve

## Structure

- Valkey
  - sessions tokens
  - new messages
- Postgres
  - longterm message storage
  - user info
  - roles and rights
