package dao

import "git.tek.govt.hu/dowerx/chat/server/model"

type IUserDAO interface {
	Create(user model.User) error
	Read(user model.User) (model.User, error)
	List() ([]model.User, error)
	Update(user model.User) error
	Delete(user model.User) error
}
