package valkey

import (
	"git.tek.govt.hu/dowerx/chat/server/config"
	"github.com/valkey-io/valkey-go"
)

var vk valkey.Client = nil

func getClient() (*valkey.Client, error) {
	if vk == nil {
		client, err := valkey.NewClient(config.GetConfig().Valkey)
		vk = client
		return &vk, err
	}

	return &vk, nil
}
